#ifdef EMSCRIPTEN
#include <numeric>
#include <vector>
#include <print>
#include "model.hpp"
#include "util.hpp"

#include <emscripten/bind.h>
namespace ems = emscripten;

struct Test {
    std::vector<int> v;
    size_t var1;
    size_t var2;
};

Test makeTest(unsigned n) {
    Test test;
    test.v.resize(n);
    std::iota(test.v.begin(), test.v.end(), 0);
    return test;
}


void useTest(const Test& test, unsigned x) {
    std::println("useTest: size={}, x={}", test.v.size(), x);
}

// EMSCRIPTEN_BINDINGS(test) {
//     // ems::class_<TFIModel<dtype>>("TFIModel");
//     // ems::class_<MPS<dtype>>("MPS");
//     ems::function("makeTest", &makeTest);
//     ems::function("useTest", &useTest);
// }
#endif
